=== debian/changelog ===
airsnort (0.2.4a-1) unstable; urgency=low

  * new upstream

 -- Noèl Köthe <noel@debian.org>  Tue, 06 Apr 2004 11:39:51 +0200

airsnort (0.2.3c-1) unstable; urgency=low

  * new upstream from 2003-12-31
  * corrected build dep
    (closes: Bug#225698)
    (closes: Bug#223522)

 -- Noèl Köthe <noel@debian.org>  Sat,  3 Jan 2004 12:53:00 +0100

airsnort (0.2.3-1) unstable; urgency=low

  * new upstream from 2003-12-07

 -- Noel Koethe <noel@debian.org>  Sun,  7 Dec 2003 11:51:00 +0100

airsnort (0.2.2-3) unstable; urgency=low

  * installed missing manpages
    (closes: Bug#202948)
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Wed, 20 Aug 2003 08:29:00 +0200

airsnort (0.2.2-2) unstable; urgency=low

  * changed linux-wlan-ng depends to suggest so its
    possible to use the kernel modules

 -- Noel Koethe <noel@debian.org>  Thu,  2 Jul 2003 11:20:00 +0200

airsnort (0.2.2-1) unstable; urgency=low

  * updated Standards-Version
  * added missing depend "linux-wlan-ng"
    (closes: #167901)
    (FYI: its not possible to get a fixed airsnort package into
     woody)

 -- Noel Koethe <noel@debian.org>  Thu, 26 Jun 2003 20:14:00 +0200

airsnort (0.2.1b-3) unstable; urgency=low

  * updated Standards-Version
  * added URL to description
  * added faq to the package
    (closes: Bug#168687)

 -- Noel Koethe <noel@debian.org>  Sat,  8 Mar 2003 13:36:00 +0100

airsnort (0.2.1b-2) unstable; urgency=low

  * added patch from Lukas Geyer <geyer@math.uni-dortmund.de>
    from BTS (thanks for your help!)
  * Added build-dependence on libpcap-dev
  * src/decrypt.c: Added definition of DLT_PRISM_HEADER
  * Made configure executable
    (closes: Bug#157216)

 -- Noel Koethe <noel@debian.org>  Mon,  2 Sep 2002 19:38:00 +0200

airsnort (0.2.1b-1) unstable; urgency=low

  * new upstream version from 2002-05-02
    (closes: Bug#145518)
  * upstream added links to REAME
    (closes: Bug#143102)
  * added missing build-deps (libgtkxmhtml-dev, libzvt-dev)

 -- Noel Koethe <noel@debian.org>  Sun, 18 Aug 2002 17:17:00 +0200

airsnort (0.2.0-5) unstable; urgency=medium

  * corrected make distclean in debian/rules
    (closes: Bug#142923)

 -- Noel Koethe <noel@debian.org>  Mon, 15 Apr 2002 20:07:00 +0200

airsnort (0.2.0-4) unstable; urgency=low

  * changed clean in debian rules so nothing is cached on buildd
  * added missing m4 to deb-builds

 -- Noel Koethe <noel@debian.org>  Sun, 14 Apr 2002 16:42:00 +0200

airsnort (0.2.0-3) unstable; urgency=low

  * corrected debian/rules to fix buildd

 -- Noel Koethe <noel@debian.org>  Fri,  5 Apr 2002 20:33:00 +0200

airsnort (0.2.0-2) unstable; urgency=low

  * corrected Section

 -- Noel Koethe <noel@debian.org>  Wed,  3 Apr 2002 11:20:00 +0100

airsnort (0.2.0-1) unstable; urgency=low

  * Initial Release.
    (closes: Bug#126299)

 -- Noel Koethe <noel@debian.org>  Wed,  6 Mar 2002 14:27:19 +0100
