=== debian/control ===
Source: airsnort
Section: net
Priority: optional
Maintainer: Noèl Köthe <noel@debian.org>
Build-Depends: debhelper (>> 3.0.0), automake, autoconf, liborbit-dev, xlibs-dev, m4, libzvt-dev, libpcap-dev, libgnomeui-dev
Standards-Version: 3.6.1

Package: airsnort
Architecture: any
Depends: ${shlibs:Depends}
Suggests: linux-wlan-ng
Description: WLAN sniffer
 A wireless LAN (WLAN) tool which cracks encryption keys on
 802.11b WEP networks. AirSnort operates by passively monitoring
 transmissions, computing the encryption key when enough packets
 have been gathered.
 .
 http://airsnort.shmoo.com/
 .
 https://sf.net/projects/airsnort/
