## airsnort 0.2.7e-1.1

=== debian/changelog ===
airsnort (0.2.7e-1.1) unstable; urgency=low

  * Non-maintainer Upload

  [Justin Pryzby ]
  * xlibs-dev removal; closes: #346626.

  [ Amaya Rodrigo Sastre ]
  * Bumped Standards-Version to 3.6.2. No changes needed.
  * Updated DH_COMPAT to 4.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 15 Jan 2006 02:26:51 +0100

airsnort (0.2.7e-1) unstable; urgency=low

  * new upstream from 2005-01-10

 -- Noèl Köthe <noel@debian.org>  Mon, 10 Jan 2005 23:23:25 +0100

airsnort (0.2.6-1) unstable; urgency=low

  * new upstream from 2004-09-22
  * fixed wrong debian native package from 0.2.4a-1

 -- Noèl Köthe <noel@debian.org>  Wed, 22 Sep 2004 12:06:29 +0200
