=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Noèl Köthe <noel@debian.org>
-Build-Depends: debhelper (>> 3.0.0), automake, autoconf, liborbit-dev, xlibs-dev, m4, libzvt-dev, libpcap-dev, libgnomeui-dev
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 3.0.0), automake, autoconf, liborbit-dev, m4, libzvt-dev, libpcap0.8-dev, libgnomeui-dev
+Standards-Version: 3.6.2
 
 Package: airsnort
 Architecture: any
