=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -30,19 +30,12 @@
 configure-stamp:
 	dh_testdir
 
-	-chmod +x ./configure
-	./autogen.sh --host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
-		--prefix=/usr \
-		--mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info
-
 	# Add here commands to configure the package.
-	#./configure --host=$(DEB_HOST_GNU_TYPE) \
-	#		--build=$(DEB_BUILD_GNU_TYPE) \
-	#		--prefix=/usr \
-	#		--mandir=\$${prefix}/share/man \
-	#		--infodir=\$${prefix}/share/info
+	./configure --host=$(DEB_HOST_GNU_TYPE) \
+			--build=$(DEB_BUILD_GNU_TYPE) \
+			--prefix=/usr \
+			--mandir=\$${prefix}/share/man \
+			--infodir=\$${prefix}/share/info
 
 	touch configure-stamp
 
@@ -64,7 +57,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
-	rm -f install-sh mkinstalldirs missing COPYING
+	#rm -f install-sh mkinstalldirs missing COPYING
 
 	dh_clean
